| QxOrm 1.3.2 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Private Types
qx::trait::is_container< T > Class Template Reference
QxTraits : QxOrm library traits (template metaprogramming) not available in 'boost::type_traits' library

qx::trait::is_container<T>::value : return true if T is a container from stl, boost, Qt or QxOrm library, otherwise return false More...

`#include <is_container.h>`

List of all members.

## Public Types
enum | { value = qx::trait::is_container<T>::type_is_container::value }
typedef qx::trait::is_container< T > ::type_is_container | type
## Private Types
typedef boost::mpl::or_ < qx::trait::is_boost_unordered_map < T > , qx::trait::is_boost_unordered_set < T >, qx::trait::is_qt_hash < T > , qx::trait::is_qt_linked_list < T > >::type | cond_is_container_1
typedef boost::mpl::or_ < typename qx::trait::is_container< T > ::cond_is_container_1, qx::trait::is_qt_list< T > , qx::trait::is_qt_map< T > , qx::trait::is_qt_multi_hash < T > >::type | cond_is_container_2
typedef boost::mpl::or_ < typename qx::trait::is_container< T > ::cond_is_container_2, qx::trait::is_qt_multi_map< T > , qx::trait::is_qt_set< T > , qx::trait::is_qt_vector< T > >::type | cond_is_container_3
typedef boost::mpl::or_ < typename qx::trait::is_container< T > ::cond_is_container_3, qx::trait::is_qx_collection< T > , qx::trait::is_std_list< T > , qx::trait::is_std_map< T > >::type | cond_is_container_4
typedef boost::mpl::or_ < typename qx::trait::is_container< T > ::cond_is_container_4, qx::trait::is_std_set< T > , qx::trait::is_std_vector< T > >::type | cond_is_container_5
typedef boost::mpl::if_ < typename qx::trait::is_container< T > ::cond_is_container_5, boost::mpl::true_, boost::mpl::false_ >::type | type_is_container

## Detailed Description

### template<typename T>
class qx::trait::is_container< T >

qx::trait::is_container<T>::value : return true if T is a container from stl, boost, Qt or QxOrm library, otherwise return false

Definition at line 76 of file is_container.h.

## Member Typedef Documentation

template<typename T>

typedef boost::mpl::or_< qx::trait::is_boost_unordered_map<T>, qx::trait::is_boost_unordered_set<T>, qx::trait::is_qt_hash<T>, qx::trait::is_qt_linked_list<T> >::type qx::trait::is_container< T >::cond_is_container_1`[private]`

Definition at line 84 of file is_container.h.

template<typename T>

typedef boost::mpl::or_< typename qx::trait::is_container<T>::cond_is_container_1, qx::trait::is_qt_list<T>, qx::trait::is_qt_map<T>, qx::trait::is_qt_multi_hash<T> >::type qx::trait::is_container< T >::cond_is_container_2`[private]`

Definition at line 89 of file is_container.h.

template<typename T>

typedef boost::mpl::or_< typename qx::trait::is_container<T>::cond_is_container_2, qx::trait::is_qt_multi_map<T>, qx::trait::is_qt_set<T>, qx::trait::is_qt_vector<T> >::type qx::trait::is_container< T >::cond_is_container_3`[private]`

Definition at line 94 of file is_container.h.

template<typename T>

typedef boost::mpl::or_< typename qx::trait::is_container<T>::cond_is_container_3, qx::trait::is_qx_collection<T>, qx::trait::is_std_list<T>, qx::trait::is_std_map<T> >::type qx::trait::is_container< T >::cond_is_container_4`[private]`

Definition at line 99 of file is_container.h.

template<typename T>

typedef boost::mpl::or_< typename qx::trait::is_container<T>::cond_is_container_4, qx::trait::is_std_set<T>, qx::trait::is_std_vector<T> >::type qx::trait::is_container< T >::cond_is_container_5`[private]`

Definition at line 103 of file is_container.h.

template<typename T>

typedef qx::trait::is_container<T>::type_is_container qx::trait::is_container< T >::type

Definition at line 127 of file is_container.h.

template<typename T>

typedef boost::mpl::if_< typename qx::trait::is_container<T>::cond_is_container_5, boost::mpl::true_, boost::mpl::false_ >::type qx::trait::is_container< T >::type_is_container`[private]`

Definition at line 119 of file is_container.h.

## Member Enumeration Documentation

template<typename T>

anonymous enum

Enumerator:

  value |

Definition at line 125 of file is_container.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxTraits/is_container.h